Subject: Re: bug#21468: 24.5; When next-line (visual) crosses overlay with before-string="\n" point goes to column 0

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Oct 2015 00:00:30 +0300

> Date: Fri, 2 Oct 2015 15:58:08 -0400
> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> 
> On Fri, Oct 2, 2015 at 6:01 AM, Eli Zaretskii <[email-masked]> wrote:
> >> But when moving point to end of line this causes the cursor to appear
> >> at the edge of the window instead of at the "real" end of line. I
> >> guess it's because the aligned space pushes the newline character to
> >> the edge of the window.
> >
> > Yes.  But why is that a problem?
> 
> Because we want the lines to be just visual effects that don't affect
> cursor movement, i.e. the cursor should act the same whether or not
> the lines are visible.
> 
> >
> > If you dislike that, you could make the stretch one column shorter,
> 
> Which of course just means that the cursor appears at one column
> before the edge of the window instead of at the "real" end of line.

If you want to put the cursor there, you need an overlay with a
'cursor' property.

Or we could have a new feature whereby the stretch of white space
would allow positioning the cursor on it.  Right now, the flag that
disallows positioning the cursor is hard-coded in the display engine.